scala.collection.jcl
class ArrayList

[source: `scala/collection/jcl/ArrayList.scala`]

`` `class` ArrayList[A](`val override` underlying : ArrayList)
  `extends` Mutable[A]`with` BufferWrapper[A]

  Creates a buffer backed by a Java array list.

Author
  Sean McDirmid

Additional Constructor Summary
`def` | this : ArrayList[A]

Method Summary
`override def` | elements : BufferIterator[Int, A] The default implementation of a map over mutable iterable collections.
`override def` | projection : Projection returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from BufferWrapper
remove, add, add, addAll, indexOf, apply, set, rangeImpl, length

Methods inherited from CollectionWrapper
has, size, hasAll, addAll, toString, hashCode, equals

Methods inherited from IterableWrapper
remove, removeAll, retainAll, isEmpty, clear

Methods inherited from Buffer
firstKey, lastKey, compare, remove, replace, update, transform, +, -=, replace

Methods inherited from Collection
++, +=

Methods inherited from Ranged
from, until, range

Methods inherited from MutableIterable
--, -, retain, size0

Methods inherited from Mutable
readOnly, drop, take, slice, reverse

Methods inherited from RandomAccessSeq
++, toStream, safeIs

Methods inherited from Seq
lengthCompare, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, map, flatMap, filter, takeWhile, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`class` | Projection `extends` Projection[A]`with` MutableProjection[A]`with` Projection0[A]
`trait` | Projection0 [A]`extends` Projection[A]`with` Projection[A]

Additional Constructor Details

`` `def` this : ArrayList[A]

Method Details

`override` `def` elements : BufferIterator[Int, A]

  The default implementation of a map over mutable iterable collections.

Overrides
  BufferWrapper.elements

`override` `def` projection : Projection

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Mutable.projection